CREATE TABLE NSALDKONT_SUBTYPE (
CODE VARCHAR2(10 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(100 CHAR) NOT NULL,
SALDKONT VARCHAR2(3 CHAR) NOT NULL,
COUNTER VARCHAR2(100 CHAR),
OPTIONS VARCHAR2(50 CHAR),
CONSTRAINT PK_NSALDKONT_SUBTYPE PRIMARY KEY(CODE)
)
;

ALTER TABLE NSALDKONT_SUBTYPE
ADD ACTIVE VARCHAR2(1 CHAR) DEFAULT 'Y'
;

INSERT INTO NSALDKONT_SUBTYPE (CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SALDKONT, COUNTER, OPTIONS, ACTIVE)
VALUES
('NPT','NOT PAYABLE TAX', 'NOT PAYABLE TAX', 'POS', 'NOT PAYABLE TAX', 'NPT', 'Y')
;

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NSALDKONT_SUBTYPE', 'ACTIVE', 'Y', 'Active', 'Yes', 'N', 'Yes')
;

INSERT INTO SIFRANT (STRINGTABLE, ID_STRING, KODA_SIFRANT, ID_STR_LABEL, NAZIV_SIFRANT, PRIVZETA_VR, INTERNI_OPIS) 
VALUES ('NSALDKONT_SUBTYPE', 'ACTIVE', 'N', 'Active', 'No', 'N', 'No')
;

INSERT INTO DATA_KEYS(IZVOR_TABELA, IZVOR_POLJE, IME_TABELE, IME_POLJA, TIP_POLJA, POLJE_OPIS, TIP_OPIS)
VALUES
('NSALDKONT_SUBTYPE', 'SALDKONT', 'NKNJIZBA', 'SALDKONT', 'S', 'SLO', 'S')
;

ALTER TABLE SALDKONT 
  ADD SUBTYPE VARCHAR2(10 CHAR)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1346, SYSDATE, '5.5', 1266, 'Saldkont subtype')
;
