create or replace TRIGGER DOGODKI_ID_PRIVEZ_TRG
BEFORE INSERT
ON DOGODKI
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
IF (:NEW.ID_PRIVEZ IS NULL AND :NEW.N_PRIVEZA IS NOT NULL AND :NEW.OBJEKT IS NOT NULL) THEN
SELECT ID_PRIVEZ INTO :NEW.ID_PRIVEZ FROM NNPRIVEZ WHERE N_PRIVEZA = :NEW.N_PRIVEZA AND OBJEKT = :NEW.OBJEKT AND ACTIVE = 'Y';;
END IF;;
EXCEPTION
WHEN NO_DATA_FOUND THEN
:NEW.ID_PRIVEZ := NULL;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2019, SYSDATE, '5.5', 1939, 'DOGODKI_ID_PRIVEZ_TRG')
;
