CREATE TABLE SPREADSHEET_DATA (
  ID_SPREADSHEET_DATA NUMBER NOT NULL,
  STRING_DATA VARCHAR2(100 CHAR),
  NUMBER_DATA NUMBER,
  DATASET VARCHAR2(50 CHAR),
  SHEET_INDEX INTEGER DEFAULT 0 NOT NULL,
  ROW_INDEX INTEGER NOT NULL,
  COLUMN_INDEX INTEGER NOT NULL,
  CONSTRAINT PK_SPREADSHEET_DATA PRIMARY KEY (ID_SPREADSHEET_DATA)
);

CREATE SEQUENCE SPREADSHEET_DATA_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(434, SYSDATE, '5.5', 354, 'Nova tabela SpreadsheetData');