ALTER TABLE M_NNCENMAR ADD (ID_M_NNCENMAR NUMBER);

CREATE SEQUENCE M_NNCENMAR_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE;

UPDATE M_NNCENMAR 
SET ID_M_NNCENMAR = M_NNCENMAR_SEQ.NEXTVAL
WHERE ID_M_NNCENMAR IS NULL;

ALTER TABLE M_NNCENMAR ADD (
  CONSTRAINT PK_M_NNCENMAR PRIMARY KEY (ID_M_NNCENMAR));

CREATE OR REPLACE
TRIGGER M_NNCENMAR_TRG
BEFORE INSERT
ON M_NNCENMAR
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
BEGIN
	IF (:NEW.ID_M_NNCENMAR IS NULL) THEN
          SELECT M_NNCENMAR_SEQ.NEXTVAL INTO :NEW.ID_M_NNCENMAR FROM DUAL;;
	END IF;;
END;;
;

insert into verzije_baza (id, dt_vpis, verzija, ver_nr, opis) 
values 
(500, SYSDATE, '5.5', 420, 'ID za tabelo M_NNCENMAR');