CREATE TABLE USER_SHORTCUT (
	ID_USER_SHORTCUT NUMBER NOT NULL,
	NUSER VARCHAR2(30 CHAR),
	DATE_CREATED DATE,
    TYPE VARCHAR2(3 CHAR),
    NAME VARCHAR2(250 CHAR),
	SORT NUMBER,
	CONSTRAINT USER_SHORTCUT_PK PRIMARY KEY (ID_USER_SHORTCUT)
);

CREATE SEQUENCE USER_SHORTCUT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE USER_SHORTCUT_PARAM (
	ID_USER_SHORTCUT_PARAM NUMBER NOT NULL,
	ID_USER_SHORTCUT NUMBER,
    TYPE VARCHAR2(3 CHAR),
	NUMBER_VALUE NUMBER,
    STRING_VALUE VARCHAR2(100 CHAR),
	CONSTRAINT USP_ID_USER_SHORTCUT_FK FOREIGN KEY (ID_USER_SHORTCUT) REFERENCES USER_SHORTCUT(ID_USER_SHORTCUT),
	CONSTRAINT USER_SHORTCUT_PARAM_PK PRIMARY KEY (ID_USER_SHORTCUT_PARAM)
);

CREATE SEQUENCE USER_SHORTCUT_PARAM_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1356, SYSDATE, '5.5', 1276, 'User shortcut')
;