CREATE TABLE DEVICE_DATA_EXCHANGE (
DATA_EXCHANGE_ID NUMBER NOT NULL,
DATA_TIME DATE NOT NULL,
DATA_TYPE VARCHAR2(20 CHAR) NOT NULL,
DEVICE_ID VARCHAR2(250 CHAR),
DATA_DIRECTION VARCHAR2(10 CHAR),
DEVICE_SERIAL_NR VARCHAR2(250 CHAR),
DEVICE_CREDIT NUMBER,
COST_WATER NUMBER,
COST_ELECTICITY NUMBER,
SOCKET_ATTACHED VARCHAR2(100 CHAR),
DATE_EXPIRY DATE,
WRITE VARCHAR2(1 CHAR),
CONSTRAINT PK_DEVICE_DATA_EXCHANGE PRIMARY KEY(DATA_EXCHANGE_ID)
)
;

CREATE SEQUENCE DEVICE_DATA_EXCHANGE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE
;

ALTER TABLE DEVICE_DATA_EXCHANGE
  ADD WRITE VARCHAR2(1 CHAR)
;

ALTER TABLE DEVICE_DATA_EXCHANGE
  ADD DATA_DIRECTION VARCHAR2(10 CHAR)
;

CREATE UNIQUE INDEX IX_DEVICE_DATA_EXCHANGE1
ON DEVICE_DATA_EXCHANGE (DATA_TYPE, DEVICE_ID, DATA_DIRECTION)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1908, SYSDATE, '5.5', 1828, 'Plus marine fob')
;
