DROP VIEW V_FBMASTER;

CREATE VIEW V_FBMASTER AS
SELECT DISTINCT * FROM (
SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA, SK.SIFRA AS VRSTA
FROM 
KUPCI K 
JOIN KUPCI_VRSTA KV ON K.ID=KV.ID_KUPCA
JOIN NNVRSKUP SK ON KV.VRSTA=SK.SIFRA AND SK.TRANSFER_FB='Y'
LEFT OUTER JOIN PLOVILA P ON P.ID_LASTNIKA=K.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE K.CHECKIN='Y'
UNION ALL

SELECT P.ID AS IDPLOVILA, P.IME AS PLOVILO, K.ID As IDKUPCA, K.PRIIMEK AS NAZIV, K.IME AS IME, 
K.NASLOV, K.MESTO, K.POSTA, D.OPIS AS DRZAVA, K.TELEFON_1 AS TELEFON, K.EMAIL, K.YACHT_CLUB_ID, 
K.DAVCNA_STEVILKA AS DAVCNA,  'ROOM' AS VRSTA
FROM 
KUPCI K 
JOIN REZERVACIJE R ON R.IDKUPCA=K.ID
JOIN PLOVILA P ON R.IDPLOVILA=P.ID
LEFT OUTER JOIN NNDRZAVE D ON K.NDRZAVA=D.SIFRA
WHERE P.BOOKING='R' AND R.ZASEDENA='D' AND (R.DATUM_DO > Sysdate-30)
);

Insert into NRIGHTS (PRAVICA,KOMENTAR,KOMENTAR_TUJ) values 
('UPDVZOREC', 'Update samples', 'Update samples');


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (265, SYSDATE, '5.5', 185, 'Popravek vzorca na pravico');