CREATE TABLE QUESTIONNAIRE_ANSWER_MASTER (
	ID NUMBER NOT NULL,
	ID_MARINA_EVENT NUMBER NOT NULL,
	ID_QUESTIONNAIRE NUMBER NOT NULL,
	CONSTRAINT QAM_MARINA_EVENT_FK FOREIGN KEY (ID_MARINA_EVENT) REFERENCES MARINA_EVENT(ID),
	CONSTRAINT QAM_QUESTIONNAIRE_FK FOREIGN KEY (ID_QUESTIONNAIRE) REFERENCES QUESTIONNAIRE(ID),
	CONSTRAINT QUESTIONNAIRE_ANSWER_MASTER_PK PRIMARY KEY (ID)
);

CREATE SEQUENCE QUESTIONNAIRE_ANS_MASTER_SEQ MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE QUESTIONNAIRE_ANSWER
DROP CONSTRAINT QA_QUESTIONNAIRE_FK;

ALTER TABLE QUESTIONNAIRE_ANSWER
RENAME COLUMN ID_QUESTIONNAIRE TO ID_QUESTIONNAIRE_ANSWER_MASTER;

ALTER TABLE QUESTIONNAIRE_ANSWER
ADD CONSTRAINT QA_QUESTIONNAIRE_ANS_MASTER_FK
FOREIGN KEY (ID_QUESTIONNAIRE_ANSWER_MASTER)
REFERENCES QUESTIONNAIRE_ANSWER_MASTER(ID);

CREATE OR REPLACE VIEW V_QUESTIONNAIRE_ANSWER_MASTER AS (
	SELECT QAM.ID, QAM.ID_MARINA_EVENT, QAM.ID_QUESTIONNAIRE, QU.NAME AS QUESTIONNAIRE_NAME
	FROM QUESTIONNAIRE_ANSWER_MASTER QAM
  LEFT OUTER JOIN QUESTIONNAIRE QU ON QU.ID = QAM.ID_QUESTIONNAIRE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (761, SYSDATE, '5.5', 681, 'Questionnaires');