CREATE TABLE PRICE_LIST_PLAN (
  ID_PRICE_LIST_PLAN NUMBER NOT NULL,
  DATE_CREATED DATE,
  USER_CREATED VARCHAR2(50 CHAR),
  NNLOCATION_ID NUMBER,
  RATE VARCHAR2(3 CHAR),
  PERCENTAGE NUMBER,
  ROUNDING VARCHAR2(10 CHAR),
  UPDATE_PLAN_PRICES VARCHAR2(1 CHAR),
  UPDATE_MANUAL_SAMPLE_PRICES VARCHAR2(1 CHAR),
  COMPLETED VARCHAR2(1 CHAR),
  CONSTRAINT PRICE_LIST_PLAN_PK PRIMARY KEY (ID_PRICE_LIST_PLAN)
);

CREATE SEQUENCE PRICE_LIST_PLAN_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1071, SYSDATE, '5.5', 991, 'Price list plan')
;